Create Authorization
CreateAuthorization creates a new authorization for a user in an owned or granted project.
Note: Authorization in this context refers to role assignments, not to OAuth authorization.
Required permissions:
- "user.grant.write"
Header Parameters
Define the version of the Connect protocol
1Define the timeout, in ms
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://loading/zitadel.authorization.v2.AuthorizationService/CreateAuthorization" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/json" \ -d '{ "userId": "string", "projectId": "string", "organizationId": "string" }'{
"id": "string",
"creationDate": "2023-01-15T01:30:15.01Z"
}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}Was this page helpful?